# iOS Monaca Debugger Discontinuation & Alternative Features

Thank you very much for your continued patronage of our Monaca.<br>

Due to the update and interpretation change of Apple's guidelines, the delivery of Monaca Debugger on the Apple store will be suspended from January 6, 2023.<br>

We apologize for any inconvenience to all those who are using the iOS store version of Monaca Debugger, but we kindly ask for your understanding.

\* You can continue to use the Monaca Debugger installed on your device after the deactivation date. \
\* The Android version of Monaca Debugger is still available from the Google Play Store.

## After the discontinuation of iOS Store version Monaca Debugger

### **For those who have already registered for the Apple Developer Program**

Those who can use the Apple Developer Program can use the Custom Build Debugger to check operations on iPhones.

#### &#x20;・[Custom Build Debugger](/products_guide/debugger/custom-build-debugger-for-ios.md)

The Custom Build Debugger is a debug app dedicated to a specific Monaca project, equipped with plugins used in the project. You can create a debug app specialized for that project based on the plugins and settings information of the project you want to test.

### For those who are not registered with the Apple Developer Program

For those who are not registered with the Apple Developer Program, please use the following Monaca functions to check the operation on the iOS terminal.

#### ・[Quick Viewer](/products_guide/quick-viewer.md) (New Release)

By accessing Monaca from a mobile device, you can check the screen and operation of the project you are developing on iPhones.

#### ・[Simulator Build](/products_guide/debugger/ios_simulator_build.md)

You can build an app that runs with iOS Simulator on Mac.

If you have a Mac, you can simply drag and drop the generated ZIP file to the simulator to run the app. Otherwise, you can use the external service "[Appetize.io](/products_guide/monaca_ide/monaca_ci/appetizeio.md)" to start the generated ZIP file without a Mac.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://en.docs.monaca.io/release_notes/ios-monaca-debugger-discontinuation-and-alternative-features.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
